Bug 292231 - Green tiles in OpenGL on Radeon 9800 SE
Green tiles in OpenGL on Radeon 9800 SE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-15 18:34 EDT by Callum Lerwick
Modified: 2009-01-18 19:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-18 19:04:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of Second Life login screen (565.85 KB, image/png)
2007-09-15 18:34 EDT, Callum Lerwick
no flags Details
xorg.conf (666 bytes, application/octet-stream)
2007-11-14 01:11 EST, Callum Lerwick
no flags Details
Xorg.0.log (77.09 KB, text/plain)
2007-11-14 01:16 EST, Callum Lerwick
no flags Details
Xorg.0.log autodetected (59.29 KB, text/plain)
2007-11-14 01:41 EST, Callum Lerwick
no flags Details

  None (edit)
Description Callum Lerwick 2007-09-15 18:34:08 EDT
Description of problem:
I get a checkerboard of green tiles when running any OpenGL application with my
Radeon 9800SE. This is the telltale sign that the driver is using the card as a
fully functional Radeon 9800, and not the half defective 9800SE that it is. The
exact same thing happens in Windows if I try a "soft mod". The driver works
beautifully otherwise. :)

The card works fine in Windows, and was previously used with fglrx in a
different machine. Screenshot attached.

Smolt profile for this machine:

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.7.192-1.fc7 (rebuilt for F7 from F8t2 srpm)

How reproducible:
Comment 1 Callum Lerwick 2007-09-15 18:34:08 EDT
Created attachment 196581 [details]
Screenshot of Second Life login screen
Comment 2 Matěj Cepl 2007-09-17 07:07:09 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Matěj Cepl 2007-10-22 17:22:45 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Callum Lerwick 2007-11-14 01:04:41 EST
Hmmm, I was having trouble getting the machine to boot recent kernels. F8 seems
to have fixed that problem, but not this one.
Comment 5 Callum Lerwick 2007-11-14 01:11:20 EST
Created attachment 257721 [details]
Comment 6 Callum Lerwick 2007-11-14 01:16:01 EST
Created attachment 257731 [details]
Comment 7 Callum Lerwick 2007-11-14 01:41:12 EST
Created attachment 257741 [details]
Xorg.0.log autodetected
Comment 8 Callum Lerwick 2007-11-14 01:51:46 EST
Note that running xorg.conf-less seems to result in it running the monitor out
of spec, the monitor goes into standby.
Comment 9 Bug Zapper 2008-05-14 10:22:01 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Callum Lerwick 2008-05-14 22:04:27 EDT
I can confirm that this bug still exists in Fedora 9. I'd really like to have
this fixed so I can stop using fglrx. Should I push this bug upstream myself?
Comment 11 Jóhann B. Guðmundsson 2008-12-01 06:04:19 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here

And report back if it either improves or fixes this issue..

Comment 12 Callum Lerwick 2009-01-18 19:04:15 EST
Hmmm. This machine has been out of use for a while. It appears as of xorg-x11-drv-ati-6.8.0-14.fc9.i386 / kernel- this seems to have been fixed. But it wasn't updated for a while so I don't know that these were the first versions to fix it. I'm going to consider this fixed.

Note You need to log in before you can comment on or make changes to this bug.